Package org.springframework.core.env

# Interface PropertySources

All Superinterfaces:
  `Iterable<PropertySource<?>>`

All Known Implementing Classes:
  `MutablePropertySources`

public interface PropertySources extends Iterable<PropertySource<?>>
Holder containing one or more `PropertySource` objects.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller
See Also:
  - `PropertySource`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(String name)`
Return whether a property source with the given name is contained.
`PropertySource<?>`
`get(String name)`
Return the property source with the given name, `null` if not found.
`default Stream<PropertySource<?>>`
`stream()`
Return a sequential `Stream` containing the property sources.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

## Method Details

### stream

default Stream<PropertySource<?>> stream()
Return a sequential `Stream` containing the property sources.

Since:
  5.1

### contains

boolean contains(String name)
Return whether a property source with the given name is contained.

Parameters:
  `name` - the name of the property source to find

### get

@Nullable PropertySource<?> get(String name)
Return the property source with the given name, `null` if not found.

Parameters:
  `name` - the name of the property source to find